#if !defined(AFX_MMConversionDlg_H__34F834C1_D7EF_47CD_AA9B_BAAB72996FC5__INCLUDED_)
#define AFX_MMConversionDlg_H__34F834C1_D7EF_47CD_AA9B_BAAB72996FC5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MMConversionDlg.h : header file
//

#include "Image.h"
#include "MemDC.h"
#include "colorbox.h"
/////////////////////////////////////////////////////////////////////////////
// MMConversionDlg dialog

class MMConversionDlg : public CDialog
{
// Construction
public:
	MMConversionDlg(CWnd* pParent = NULL);   // standard constructor
  const float GetConversion(void) const {return m_pixels_per_mm;}
  void SetLineColor(COLORREF color);
  void SetConversion(float conversion);

// Dialog Data
	//{{AFX_DATA(MMConversionDlg)
	enum { IDD = IDD_CONVERSION };
	CColorBox	m_root_color;
	CStatic	m_text;
	CStatic	m_image;
	CEdit	m_edit_pixels;
	CEdit	m_edit_conversion;
	CEdit	m_edit_milli;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MMConversionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(MMConversionDlg)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	virtual BOOL OnInitDialog();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnKillfocusEditMilli();
	virtual void OnOK();
	afx_msg void OnPicture();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
    
private:
  // varibles
  HCURSOR m_cur_pen;
  blepo::ImgBgr m_img;
  float m_pixels_per_mm;
  CPoint m_point1, m_point2;
  bool m_waiting_for_second;
  int m_mode;
  CString fname;

  // functions
  void Redraw(CDC& dc);
  void Recalculate();
  
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MMConversionDlg_H__34F834C1_D7EF_47CD_AA9B_BAAB72996FC5__INCLUDED_)
